Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Interface SendableMessageListener

All Known Implementing Classes:
  OutstandingMessageTableModel

    public interface SendableMessageListener

Implementers of this interface will be informed when the outgoing locally originated message queue is updated. Callers are required to accurately inform the called listener whether they are the GUI dispatch thread or not.

Method Summary
`void` | `deleteOutgoingMessage(int index, SendableMessage sendableMessage, boolean isGuiDispatchThread)` Report that a message has been deleted from the outgoing retransmitted message list.
`void` | `insertOutgoingMessage(int index, boolean isGuiDispatchThread)` Report that a new message has been added to the outgoing retransmitted message list.
`void` | `updateOutgoingMessage(int index, boolean isGuiDispatchThread)` Report that an existing message has been updated in the outgoing retransmitted message list.

Method Detail

### insertOutgoingMessage

    void insertOutgoingMessage(int index,
                               boolean isGuiDispatchThread)

  Report that a new message has been added to the outgoing retransmitted message list.

  Parameters:
    `index` - position of message in the list.
    `isGuiDispatchThread` - boolean true if caller is the GUI dispatch thread

### updateOutgoingMessage

    void updateOutgoingMessage(int index,
                               boolean isGuiDispatchThread)

  Report that an existing message has been updated in the outgoing retransmitted message list.

  Parameters:
    `index` - position of message in the list.
    `isGuiDispatchThread` - boolean true if caller is the GUI dispatch thread

### deleteOutgoingMessage

    void deleteOutgoingMessage(int index,
                               SendableMessage sendableMessage,
                               boolean isGuiDispatchThread)

  Report that a message has been deleted from the outgoing retransmitted message list.

  Parameters:
    `index` - position of message in the list.
    `sendableMessage` - the SendableMessage that is being cancelled
    `isGuiDispatchThread` - boolean true if caller is the GUI dispatch thread

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD